# Payments

- [Initiate payment](https://developer.redstonepgs.com/api-documentation/payments/initiate-payment.md)
- [Get payment details](https://developer.redstonepgs.com/api-documentation/payments/get-payment-details.md): This endpoint retrieves the details of a specific payment by providing the payment ID in the endpoint URL.
- [Get payments for business](https://developer.redstonepgs.com/api-documentation/payments/get-payments-for-business.md): This endpoint makes an HTTP GET request to retrieve a list of payments with pagination. The request includes query parameters for the page number and limit of results per page.
- [Pay with mobile money](https://developer.redstonepgs.com/api-documentation/payments/pay-with-mobile-money.md)
- [Generate card payment context](https://developer.redstonepgs.com/api-documentation/payments/generate-card-payment-context.md): This steps is required to complete the card payment processing. it involve generating the card payment context.
- [Generate card payment token](https://developer.redstonepgs.com/api-documentation/payments/generate-card-payment-token.md): Integrating CyberSource Microform for Secure Card Payments
- [Pay with card](https://developer.redstonepgs.com/api-documentation/payments/pay-with-card.md): This endpoint allows you to initiate a payment with the provided details.
- [Continue payment](https://developer.redstonepgs.com/api-documentation/payments/continue-payment.md): This endpoint allows the user to continue a payment with the given payment reference.
- [Complete payment](https://developer.redstonepgs.com/api-documentation/payments/complete-payment.md): This endpoint allows the user to complete a payment with the given payment reference.
- [Refund](https://developer.redstonepgs.com/api-documentation/payments/refund.md)
- [Payout](https://developer.redstonepgs.com/api-documentation/payments/payout.md)
- [Check transaction status](https://developer.redstonepgs.com/api-documentation/payments/check-transaction-status.md): This endpoint is used to check the status of a payment transaction for refund and payout by its unique identifier. It allows users to retrieve detailed information about a specific transaction.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redstonepgs.com/api-documentation/payments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
